<?php 
	$path = PICOLO_ADMIN . "icons" . DIRECTORY_SEPARATOR;
?>
<script language="javascript" type="text/javascript">
//<![CDATA[
// Script adapté du plugin BetterEditor de LionWiki
function insertSyntax(obj, otag, ctag, content)
{
	var txt = document.getElementsByTagName("textarea")[0];

	start = txt.selectionStart,
	end = txt.selectionEnd;

	txt.focus();

	if(start != end)
		content = txt.value.substring(start, end);

	txt.value = txt.value.substring(0, start) + otag + content + ctag + txt.value.substring(end);
	txt.selectionStart = (txt.value.substring(0, start) + otag).length;
	txt.selectionEnd = txt.selectionStart + content.length;
}

function embedVideo(url)
{
	var txt = document.getElementsByTagName("textarea")[0];
	var content = url;

	start = txt.selectionStart,
	end = txt.selectionEnd;

	txt.focus();

	var regExp = new Array();
	regExp[0] = new RegExp('.*youtube.com.*v=', 'i');
	regExp[1] = new RegExp('.*dailymotion.com(.+)?video\/','i');
	regExp[2] = new RegExp('.*vimeo.com\/', 'i');
	regExp[3] = new RegExp('.*video.google.com\\/videoplay\\?docid=', 'g');
	
	var links = new Array();
	links[0] = "http://www.youtube.com/v/";
	links[1] = "http://www.dailymotion.com/swf/";
	links[2] = "http://vimeo.com/moogaloop.swf?server=vimeo.com&amp;clip_id=";
	links[3] = "http://video.google.com/googleplayer.swf?docId=";
	
	var url="";
	for(var i=0; i < regExp.length ; i++){
		if(regExp[i].test(content))
			url = links[i] + content.replace(regExp[i], '');	
	}
	url = url.replace("\n", "");
	
	txt.value =  txt.value.substring(0, start) + '<object width="425" height="350" type="application/x-shockwave-flash" data="' + url + '"><param name="movie" value="' + url + '" /><param name="wmode" value="transparent" /></object>' + txt.value.substring(end);
	
}

//]]>
</script>
<div class="toolbar">
	<a href="javascript:" onclick="insertSyntax(this, '<strong>','</strong>','');" title="Caract&egrave;re gras" /><img src="<?php echo $path; ?>text_bold.png" alt="G" /></a>
	<a href="javascript:" onclick="insertSyntax(this, '<em>','</em>','');" title="Caract&egrave;re italique" /><img src="<?php echo $path; ?>text_italic.png" alt="I" /></a>
	<a href="javascript:"  onclick="<?php echo "insertSyntax(this, '<span class=\'underline\'>','</span>','');" ?>" title="Caract&egrave;re soulign&eacute;" /><img src="<?php echo $path; ?>text_underline.png" alt="S" /></a>
	<a href="javascript:"  onclick="<?php echo "insertSyntax(this, '<span class=\'line-through\'>','</span>','');" ?>" title="Caract&egrave;re barr&eacute;" /><img src="<?php echo $path; ?>text_strikethrough.png" alt="B" /></a>
	<a href="javascript:"  onclick="<?php echo "insertSyntax(this, '<div class=\'center\'>','</div>','');" ?>" title="Centrer" /><img src="<?php echo $path; ?>text_align_center.png" alt="Centrer" /></a>
	<a href="javascript:" title="Lier une image" onclick="<?php echo "var img=prompt('Insérez l\'adresse de l\'image.','');if(img!=null) insertSyntax(this, '<img src=\'','\' alt=\'\'/>',img);" ?>" /><img src="<?php echo $path; ?>image_add.png" alt="Image" /></a>
	<a href="javascript:" title="Lier une vid&eacute;o" onclick="var vid=prompt('Insérez l\'adresse de la vidéo', '');if(vid!=null) embedVideo(vid);"/><img src="<?php echo $path; ?>film_add.png" alt="Vid&eacute;o" /></a>
	<a href="javascript:" title="Effacer la zone de texte" onclick="document.getElementsByTagName('textarea')[0].value=''"/><img src="<?php echo $path; ?>delete.png" alt="Effacer" /></a>
</div>

