<?php

if(count($_POST) > 0) {

define("PICOLO_CORE", "../");
include(PICOLO_CORE . "libs/picoloFacebook.php");
include(PICOLO_CORE . "libs/picoloTwitter.php");
include(PICOLO_CORE . "libs/picoloIdentica.php");

$text = isset($_POST['text']) ? $_POST['text'] : false;
socialFacebook($text);
socialTwitter($text);
socialIdentica($text);

}

function socialFacebook($message) {
	$fb_api_id = isset($_POST['fb_api_id']) ? $_POST['fb_api_id'] : false;
	$fb_access_token = isset($_POST['fb_access_token']) ? $_POST['fb_access_token'] : false;
	$fb_secret_key = isset($_POST['fb_secret_key']) ? $_POST['fb_secret_key'] : false;
	$facebook = (!$fb_api_id || !$fb_secret_key || !$fb_access_token) ? false : true;

	if($facebook){
		$message = prepareString($message, 500);
		if(postOnFacebook($fb_app_id, $fb_secret_key, $fb_access_token, $message))
			echo "Billet post&eacute; sur Facebook <br />";
	}
}

function socialTwitter($message){
	
	$tw_consumer_key = isset($_POST['tw_consumer_key']) ? $_POST['tw_consumer_key'] : false;
	$tw_consumer_secret = isset($_POST['tw_consumer_secret']) ? $_POST['tw_consumer_secret'] : false;
	$tw_user_token = isset($_POST['tw_user_token']) ? $_POST['tw_user_token'] : false;
	$tw_user_secret = isset($_POST['tw_user_secret']) ? $_POST['tw_user_secret'] : false;	
	$twitter = (!$tw_consumer_key || !$tw_consumer_secret || !$tw_user_token || !$tw_user_secret) ? false : true;

	if($twitter){
		$message = prepareString($message, 140);
		if(postOnTwitter($tw_consumer_key, $tw_consumer_secret, $tw_user_token, $tw_user_secret, $message))
			echo "Billet post&eacute; sur Twitter <br />";
	}
}

function socialIdentica($message){
	$sn_id = isset($_POST['sn_id']) ? $_POST['sn_id'] : false;
	$sn_password = isset($_POST['sn_password']) ? $_POST['sn_password'] : false;
	$identica = (!$sn_id || !$sn_password) ? false : true;

	if($identica){
		$message = prepareString($message, 140);
		if(postOnIdentica($sn_id, $sn_password, $message))
			echo "Billet post&eacute; sur Identi.ca <br />";
	}
}

function prepareString($string, $max){
	$string = htmlToText($string);
	$url = $_SERVER['HTTP_REFERER'];
	$url = preg_replace('@\?edit@i', '', $url);

	if(strlen($string) >= $max){
		$string = substr($string, 0, $max - strlen($url) - 3);
		$space = strrpos($string, " ");
		if($space)
			$space = substr($string, 0, $space);
		$string .= "…";
		$string .= " (" . $url . ")";
	}
	
	return $string;
}

function htmlToText($text) {

$before = array ('#(^|\s)([a-z]+://([^\s\w/]?[\w/])*)(\s|$)#im',
		'#(^|\s)wp:?([a-z]{2}|):([\w]+)#im',
		'@<script[^>]*?>.*?</script>@si', 
                '@<[\/\!]*?[^<>]*?>@si',          
                '@([\r\n])[\s]+@',                
                '@&(quot|#34);@i',                
                '@&(amp|#38);@i',                 
                '@&(lt|#60);@i',                  
                '@&(gt|#62);@i',                  
                '@&(nbsp|#160);@i',               
                '@&(iexcl|#161);@i',              
                '@&(cent|#162);@i',               
                '@&(pound|#163);@i',              
                '@&(copy|#169);@i',               
                '@&(reg|#174);@i',                
                '@&#(d+);@e'); 
                  
$after = array ('\\1<a href="\\2">\\2</a>\\4',
		  '\\1<a href="http://\\2.wikipedia.org/wiki/\\3">\\3</a>',
		  '',
                  '',
                  ' ',
                  '"',
                  '&',
                  '<',
                  '>',
                  ' ',
                  chr(161),
                  chr(162),
                  chr(163),
                  chr(169),
                  chr(174),
                  'chr()');
  return preg_replace($before, $after, $text);
}


?>
