<?php

	$pb->reverse_order = true;
        $pb->sortDatas();

        $list = $pb->getList(0);
        $last_update = array_keys($list);
        $last_update = date(DATE_RSS, $last_update[0]);

        header('Content-Type: text/xml');

        echo  '<?xml version="1.0" encoding="UTF-8" ?>
        <rdf:RDF
          xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
          xmlns:dc="http://purl.org/dc/elements/1.1/"
          xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
          xmlns:content="http://purl.org/rss/1.0/modules/content/"
          xmlns="http://purl.org/rss/1.0/">

        <channel rdf:about="'.$pb->getUrl().'">
          <title>'.htmlspecialchars($pb->title).'</title>
          <description><![CDATA['.$pb->desc.']]></description>
          <link>'.$pb->getUrl().'</link>
          <dc:language>'.substr($pb->locale, 0, 2).'</dc:language>
          <dc:creator></dc:creator>
          <dc:rights></dc:rights>
          <dc:date>'.$last_update.'</dc:date>

          <sy:updatePeriod>daily</sy:updatePeriod>
          <sy:updateFrequency>1</sy:updateFrequency>
          <sy:updateBase>'.$last_update.'</sy:updateBase>

          <items>
          <rdf:Seq>
            ';

        foreach ($list as $id=>$content)
        {
            echo '<rdf:li rdf:resource="'.$pb->getUrl().'?'.$id.'" />
            ';
        }

        echo '
          </rdf:Seq>
          </items>
        </channel>';

        foreach ($list as $id=>$content)
        {
            echo '
                <item rdf:about="'.$pb->getUrl().'?'.$id.'">
                    <title>#'.$id.'</title>
                    <link>'.$pb->getUrl().'?'.$id.'</link>
                    <dc:date>'.date(DATE_RSS, $id).'</dc:date>
                    <dc:language>'.substr($pb->locale, 0, 2).'</dc:language>
                    <dc:creator></dc:creator>
                    <dc:subject>picoBlog</dc:subject>
                    <description>'.htmlspecialchars($content).'</description>
                    <content:encoded>
                        <![CDATA['.$content.']]>
                    </content:encoded>
                </item>';
        }

        echo '
        </rdf:RDF>';	
?>
