<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
        <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=utf8" />
            <title><?php echo $pb->title ?></title>
            <link rel="alternate" type="application/rss+xml" title="RSS" href="?rss" />
            <style type="text/css">
            <?php echo $default_css ?>
            </style>
        </head>

        <body>
        <div id="global">
            <h1><a href="<?php echo $pb->getUrl() ?>" title="<?php echo htmlspecialchars($pb->desc) ?>"><?php echo htmlspecialchars($pb->title) ?></a></h1>
            <h2><?php echo $pb->desc ?></h2>
            <div id="content">
<?php

        $entry = $pb->getEntry($id);
        if (!$entry)
            echo "<p>Post introuvable.</p>";
        else
        {
            echo '
            <div class="item">
                <h3>'.strftime($pb->date_format, $id).'</h3>
                <div class="content">'.$pb->formatText($entry).'</div>';
        }

        echo '
                <p class="link">
                    <a href="'.$pb->getUrl().'?'.$id.'">Permalien</a>';

                    if ($pb->isLogged())
                    {
                        echo ' | <a href="?edit='.$id.'" class="admin">Éditer</a> |
                            <a href="?delete='.$id.'" class="admin" onclick="if (confirm(\'Vraiment ?\') != true) return false;">Supprimer</a>';
                    }

?>
                </p>
            </div>
            <p><a href="<?php echo $pb->getUrl() ?>">Accueil</a></p>
        </div>
        </div>
        </body>
        </html>
