<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
        <html xmlns="http://www.w3.org/1999/xhtml">
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=utf8" />
            <title><?php echo $pb->title ?></title>
            <link rel="alternate" type="application/rss+xml" title="RSS" href="?rss" />
            <style type="text/css">
            <?php echo $default_css ?>
            </style>
        </head>

        <body>
		<div id="global">
			<h1><a href="<?php echo $pb->getUrl() ?>" title="<?php echo htmlspecialchars($pb->desc) ?>"><?php echo htmlspecialchars($pb->title) ?></a></h1>
			<h2><?php echo $pb->desc ?></h2>
           		<div id="content">
<?php
	if (isset($_GET['search']))
		echo '<p>R&eacute;sultat de la recherche sur <strong>' . $_GET['search'] . '</strong>.</p>';

        if ($pb->isLogged())
            echo '<p><a href="?edit" class="admin">Nouveau billet</a></p>';

        if (empty($list))
            echo '<p>Pas d\'objet.</p>';

        else
        { ?>

	<form method="get" action="" id="searchfield">
                <p><label>Rechercher : <input type="text" name="search" /></label></p>
            </form>

	<?php
            foreach ($list as $id=>$content)
            {
                echo '
                <div class="item">
                    <h3>'.strftime($pb->date_format, $id).'</h3>
                    <div class="content">
                        '.$pb->formatText($content).'
                    </div>
                    <p class="link">
                        <a href="'.$pb->getUrl().'?'.$id.'">Permalien</a>';

                    if ($pb->isLogged())
                    {
                        echo ' | <a href="?edit='.$id.'" class="admin">Éditer</a> |
                            <a href="?delete='.$id.'" class="admin" onclick="if (confirm(\'Vraiment ?\') != true) return false;">Supprimer</a>';
                    }

                    echo '</p>
                </div>';
            }
        }

        $pages = $pb->getPagination();
        if (!empty($pages) && !isset($_GET['search']))
        {
            echo '
            <ul class="pagination">
            ';

            for ($p = 1; $p <= $pages; $p++)
            {
                echo '<li'.($page == $p ? ' class="selected"' : '').'><a href="?p'.$p.'">'.$p.'</a></li>';
            }

            echo '
            </ul>';
        }
?>
			</div>
           		 <div id="footer">
                	 	<a href="?rss">RSS</a>
				<?php if($pb->isLogged()){ ?>
 | <a href="?config" class="admin">Configuration</a> | <a href="?logout" class="admin">Déconnexion</a>
				<?php } else { ?>
				<form method="post" action="?login">
                <p><label>Identifiant : <input type="text" name="login" /></label></p>
                <p><label>Mot de passe : <input type="password" name="password" /></label></p>
                <p><input type="submit" value="OK" class="submit" /></p>
            </form><?php } ?>
			<br /><br /><p class="copyleft">Propulsé par un <a href="http://guillaume.litaudon.tk/">Picoloblog</a>.</p>
			</div>
	</div>
        </body>
        </html>
